Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.40.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
233.40.0.0
Broadcast address
233.40.15.255
First usable
233.40.0.1
Last usable
233.40.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9280000 · Integer 3911712768 to 3911716863
Reverse DNS zones
0.40.233.in-addr.arpa
1.40.233.in-addr.arpa
2.40.233.in-addr.arpa
3.40.233.in-addr.arpa
4.40.233.in-addr.arpa
5.40.233.in-addr.arpa
6.40.233.in-addr.arpa
7.40.233.in-addr.arpa
8.40.233.in-addr.arpa
9.40.233.in-addr.arpa
10.40.233.in-addr.arpa
11.40.233.in-addr.arpa
12.40.233.in-addr.arpa
13.40.233.in-addr.arpa
14.40.233.in-addr.arpa
15.40.233.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.00101000.00000000.00000000233.40.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11101001.00101000.00000000.00000000233.40.0.0
Broadcast11101001.00101000.00001111.11111111233.40.15.255
Split into smaller subnets/31

233.40.0.0/20 makes 2,048 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.40.0.0/31233.40.0.0 to 233.40.0.1—2
2233.40.0.2/31233.40.0.2 to 233.40.0.3—2
3233.40.0.4/31233.40.0.4 to 233.40.0.5—2
4233.40.0.6/31233.40.0.6 to 233.40.0.7—2
5233.40.0.8/31233.40.0.8 to 233.40.0.9—2
6233.40.0.10/31233.40.0.10 to 233.40.0.11—2
7233.40.0.12/31233.40.0.12 to 233.40.0.13—2
8233.40.0.14/31233.40.0.14 to 233.40.0.15—2
9233.40.0.16/31233.40.0.16 to 233.40.0.17—2
10233.40.0.18/31233.40.0.18 to 233.40.0.19—2
11233.40.0.20/31233.40.0.20 to 233.40.0.21—2
12233.40.0.22/31233.40.0.22 to 233.40.0.23—2
13233.40.0.24/31233.40.0.24 to 233.40.0.25—2
14233.40.0.26/31233.40.0.26 to 233.40.0.27—2
15233.40.0.28/31233.40.0.28 to 233.40.0.29—2
16233.40.0.30/31233.40.0.30 to 233.40.0.31—2
17233.40.0.32/31233.40.0.32 to 233.40.0.33—2
18233.40.0.34/31233.40.0.34 to 233.40.0.35—2
19233.40.0.36/31233.40.0.36 to 233.40.0.37—2
20233.40.0.38/31233.40.0.38 to 233.40.0.39—2
21233.40.0.40/31233.40.0.40 to 233.40.0.41—2
22233.40.0.42/31233.40.0.42 to 233.40.0.43—2
23233.40.0.44/31233.40.0.44 to 233.40.0.45—2
24233.40.0.46/31233.40.0.46 to 233.40.0.47—2
25233.40.0.48/31233.40.0.48 to 233.40.0.49—2
26233.40.0.50/31233.40.0.50 to 233.40.0.51—2
27233.40.0.52/31233.40.0.52 to 233.40.0.53—2
28233.40.0.54/31233.40.0.54 to 233.40.0.55—2
29233.40.0.56/31233.40.0.56 to 233.40.0.57—2
30233.40.0.58/31233.40.0.58 to 233.40.0.59—2
31233.40.0.60/31233.40.0.60 to 233.40.0.61—2
32233.40.0.62/31233.40.0.62 to 233.40.0.63—2
33233.40.0.64/31233.40.0.64 to 233.40.0.65—2
34233.40.0.66/31233.40.0.66 to 233.40.0.67—2
35233.40.0.68/31233.40.0.68 to 233.40.0.69—2
36233.40.0.70/31233.40.0.70 to 233.40.0.71—2
37233.40.0.72/31233.40.0.72 to 233.40.0.73—2
38233.40.0.74/31233.40.0.74 to 233.40.0.75—2
39233.40.0.76/31233.40.0.76 to 233.40.0.77—2
40233.40.0.78/31233.40.0.78 to 233.40.0.79—2
41233.40.0.80/31233.40.0.80 to 233.40.0.81—2
42233.40.0.82/31233.40.0.82 to 233.40.0.83—2
43233.40.0.84/31233.40.0.84 to 233.40.0.85—2
44233.40.0.86/31233.40.0.86 to 233.40.0.87—2
45233.40.0.88/31233.40.0.88 to 233.40.0.89—2
46233.40.0.90/31233.40.0.90 to 233.40.0.91—2
47233.40.0.92/31233.40.0.92 to 233.40.0.93—2
48233.40.0.94/31233.40.0.94 to 233.40.0.95—2
49233.40.0.96/31233.40.0.96 to 233.40.0.97—2
50233.40.0.98/31233.40.0.98 to 233.40.0.99—2
51233.40.0.100/31233.40.0.100 to 233.40.0.101—2
52233.40.0.102/31233.40.0.102 to 233.40.0.103—2
53233.40.0.104/31233.40.0.104 to 233.40.0.105—2
54233.40.0.106/31233.40.0.106 to 233.40.0.107—2
55233.40.0.108/31233.40.0.108 to 233.40.0.109—2
56233.40.0.110/31233.40.0.110 to 233.40.0.111—2
57233.40.0.112/31233.40.0.112 to 233.40.0.113—2
58233.40.0.114/31233.40.0.114 to 233.40.0.115—2
59233.40.0.116/31233.40.0.116 to 233.40.0.117—2
60233.40.0.118/31233.40.0.118 to 233.40.0.119—2
61233.40.0.120/31233.40.0.120 to 233.40.0.121—2
62233.40.0.122/31233.40.0.122 to 233.40.0.123—2
63233.40.0.124/31233.40.0.124 to 233.40.0.125—2
64233.40.0.126/31233.40.0.126 to 233.40.0.127—2
65233.40.0.128/31233.40.0.128 to 233.40.0.129—2
66233.40.0.130/31233.40.0.130 to 233.40.0.131—2
67233.40.0.132/31233.40.0.132 to 233.40.0.133—2
68233.40.0.134/31233.40.0.134 to 233.40.0.135—2
69233.40.0.136/31233.40.0.136 to 233.40.0.137—2
70233.40.0.138/31233.40.0.138 to 233.40.0.139—2
71233.40.0.140/31233.40.0.140 to 233.40.0.141—2
72233.40.0.142/31233.40.0.142 to 233.40.0.143—2
73233.40.0.144/31233.40.0.144 to 233.40.0.145—2
74233.40.0.146/31233.40.0.146 to 233.40.0.147—2
75233.40.0.148/31233.40.0.148 to 233.40.0.149—2
76233.40.0.150/31233.40.0.150 to 233.40.0.151—2
77233.40.0.152/31233.40.0.152 to 233.40.0.153—2
78233.40.0.154/31233.40.0.154 to 233.40.0.155—2
79233.40.0.156/31233.40.0.156 to 233.40.0.157—2
80233.40.0.158/31233.40.0.158 to 233.40.0.159—2
81233.40.0.160/31233.40.0.160 to 233.40.0.161—2
82233.40.0.162/31233.40.0.162 to 233.40.0.163—2
83233.40.0.164/31233.40.0.164 to 233.40.0.165—2
84233.40.0.166/31233.40.0.166 to 233.40.0.167—2
85233.40.0.168/31233.40.0.168 to 233.40.0.169—2
86233.40.0.170/31233.40.0.170 to 233.40.0.171—2
87233.40.0.172/31233.40.0.172 to 233.40.0.173—2
88233.40.0.174/31233.40.0.174 to 233.40.0.175—2
89233.40.0.176/31233.40.0.176 to 233.40.0.177—2
90233.40.0.178/31233.40.0.178 to 233.40.0.179—2
91233.40.0.180/31233.40.0.180 to 233.40.0.181—2
92233.40.0.182/31233.40.0.182 to 233.40.0.183—2
93233.40.0.184/31233.40.0.184 to 233.40.0.185—2
94233.40.0.186/31233.40.0.186 to 233.40.0.187—2
95233.40.0.188/31233.40.0.188 to 233.40.0.189—2
96233.40.0.190/31233.40.0.190 to 233.40.0.191—2
97233.40.0.192/31233.40.0.192 to 233.40.0.193—2
98233.40.0.194/31233.40.0.194 to 233.40.0.195—2
99233.40.0.196/31233.40.0.196 to 233.40.0.197—2
100233.40.0.198/31233.40.0.198 to 233.40.0.199—2
101233.40.0.200/31233.40.0.200 to 233.40.0.201—2
102233.40.0.202/31233.40.0.202 to 233.40.0.203—2
103233.40.0.204/31233.40.0.204 to 233.40.0.205—2
104233.40.0.206/31233.40.0.206 to 233.40.0.207—2
105233.40.0.208/31233.40.0.208 to 233.40.0.209—2
106233.40.0.210/31233.40.0.210 to 233.40.0.211—2
107233.40.0.212/31233.40.0.212 to 233.40.0.213—2
108233.40.0.214/31233.40.0.214 to 233.40.0.215—2
109233.40.0.216/31233.40.0.216 to 233.40.0.217—2
110233.40.0.218/31233.40.0.218 to 233.40.0.219—2
111233.40.0.220/31233.40.0.220 to 233.40.0.221—2
112233.40.0.222/31233.40.0.222 to 233.40.0.223—2
113233.40.0.224/31233.40.0.224 to 233.40.0.225—2
114233.40.0.226/31233.40.0.226 to 233.40.0.227—2
115233.40.0.228/31233.40.0.228 to 233.40.0.229—2
116233.40.0.230/31233.40.0.230 to 233.40.0.231—2
117233.40.0.232/31233.40.0.232 to 233.40.0.233—2
118233.40.0.234/31233.40.0.234 to 233.40.0.235—2
119233.40.0.236/31233.40.0.236 to 233.40.0.237—2
120233.40.0.238/31233.40.0.238 to 233.40.0.239—2
121233.40.0.240/31233.40.0.240 to 233.40.0.241—2
122233.40.0.242/31233.40.0.242 to 233.40.0.243—2
123233.40.0.244/31233.40.0.244 to 233.40.0.245—2
124233.40.0.246/31233.40.0.246 to 233.40.0.247—2
125233.40.0.248/31233.40.0.248 to 233.40.0.249—2
126233.40.0.250/31233.40.0.250 to 233.40.0.251—2
127233.40.0.252/31233.40.0.252 to 233.40.0.253—2
128233.40.0.254/31233.40.0.254 to 233.40.0.255—2
129233.40.1.0/31233.40.1.0 to 233.40.1.1—2
130233.40.1.2/31233.40.1.2 to 233.40.1.3—2
131233.40.1.4/31233.40.1.4 to 233.40.1.5—2
132233.40.1.6/31233.40.1.6 to 233.40.1.7—2
133233.40.1.8/31233.40.1.8 to 233.40.1.9—2
134233.40.1.10/31233.40.1.10 to 233.40.1.11—2
135233.40.1.12/31233.40.1.12 to 233.40.1.13—2
136233.40.1.14/31233.40.1.14 to 233.40.1.15—2
137233.40.1.16/31233.40.1.16 to 233.40.1.17—2
138233.40.1.18/31233.40.1.18 to 233.40.1.19—2
139233.40.1.20/31233.40.1.20 to 233.40.1.21—2
140233.40.1.22/31233.40.1.22 to 233.40.1.23—2
141233.40.1.24/31233.40.1.24 to 233.40.1.25—2
142233.40.1.26/31233.40.1.26 to 233.40.1.27—2
143233.40.1.28/31233.40.1.28 to 233.40.1.29—2
144233.40.1.30/31233.40.1.30 to 233.40.1.31—2
145233.40.1.32/31233.40.1.32 to 233.40.1.33—2
146233.40.1.34/31233.40.1.34 to 233.40.1.35—2
147233.40.1.36/31233.40.1.36 to 233.40.1.37—2
148233.40.1.38/31233.40.1.38 to 233.40.1.39—2
149233.40.1.40/31233.40.1.40 to 233.40.1.41—2
150233.40.1.42/31233.40.1.42 to 233.40.1.43—2
151233.40.1.44/31233.40.1.44 to 233.40.1.45—2
152233.40.1.46/31233.40.1.46 to 233.40.1.47—2
153233.40.1.48/31233.40.1.48 to 233.40.1.49—2
154233.40.1.50/31233.40.1.50 to 233.40.1.51—2
155233.40.1.52/31233.40.1.52 to 233.40.1.53—2
156233.40.1.54/31233.40.1.54 to 233.40.1.55—2
157233.40.1.56/31233.40.1.56 to 233.40.1.57—2
158233.40.1.58/31233.40.1.58 to 233.40.1.59—2
159233.40.1.60/31233.40.1.60 to 233.40.1.61—2
160233.40.1.62/31233.40.1.62 to 233.40.1.63—2
161233.40.1.64/31233.40.1.64 to 233.40.1.65—2
162233.40.1.66/31233.40.1.66 to 233.40.1.67—2
163233.40.1.68/31233.40.1.68 to 233.40.1.69—2
164233.40.1.70/31233.40.1.70 to 233.40.1.71—2
165233.40.1.72/31233.40.1.72 to 233.40.1.73—2
166233.40.1.74/31233.40.1.74 to 233.40.1.75—2
167233.40.1.76/31233.40.1.76 to 233.40.1.77—2
168233.40.1.78/31233.40.1.78 to 233.40.1.79—2
169233.40.1.80/31233.40.1.80 to 233.40.1.81—2
170233.40.1.82/31233.40.1.82 to 233.40.1.83—2
171233.40.1.84/31233.40.1.84 to 233.40.1.85—2
172233.40.1.86/31233.40.1.86 to 233.40.1.87—2
173233.40.1.88/31233.40.1.88 to 233.40.1.89—2
174233.40.1.90/31233.40.1.90 to 233.40.1.91—2
175233.40.1.92/31233.40.1.92 to 233.40.1.93—2
176233.40.1.94/31233.40.1.94 to 233.40.1.95—2
177233.40.1.96/31233.40.1.96 to 233.40.1.97—2
178233.40.1.98/31233.40.1.98 to 233.40.1.99—2
179233.40.1.100/31233.40.1.100 to 233.40.1.101—2
180233.40.1.102/31233.40.1.102 to 233.40.1.103—2
181233.40.1.104/31233.40.1.104 to 233.40.1.105—2
182233.40.1.106/31233.40.1.106 to 233.40.1.107—2
183233.40.1.108/31233.40.1.108 to 233.40.1.109—2
184233.40.1.110/31233.40.1.110 to 233.40.1.111—2
185233.40.1.112/31233.40.1.112 to 233.40.1.113—2
186233.40.1.114/31233.40.1.114 to 233.40.1.115—2
187233.40.1.116/31233.40.1.116 to 233.40.1.117—2
188233.40.1.118/31233.40.1.118 to 233.40.1.119—2
189233.40.1.120/31233.40.1.120 to 233.40.1.121—2
190233.40.1.122/31233.40.1.122 to 233.40.1.123—2
191233.40.1.124/31233.40.1.124 to 233.40.1.125—2
192233.40.1.126/31233.40.1.126 to 233.40.1.127—2
193233.40.1.128/31233.40.1.128 to 233.40.1.129—2
194233.40.1.130/31233.40.1.130 to 233.40.1.131—2
195233.40.1.132/31233.40.1.132 to 233.40.1.133—2
196233.40.1.134/31233.40.1.134 to 233.40.1.135—2
197233.40.1.136/31233.40.1.136 to 233.40.1.137—2
198233.40.1.138/31233.40.1.138 to 233.40.1.139—2
199233.40.1.140/31233.40.1.140 to 233.40.1.141—2
200233.40.1.142/31233.40.1.142 to 233.40.1.143—2
201233.40.1.144/31233.40.1.144 to 233.40.1.145—2
202233.40.1.146/31233.40.1.146 to 233.40.1.147—2
203233.40.1.148/31233.40.1.148 to 233.40.1.149—2
204233.40.1.150/31233.40.1.150 to 233.40.1.151—2
205233.40.1.152/31233.40.1.152 to 233.40.1.153—2
206233.40.1.154/31233.40.1.154 to 233.40.1.155—2
207233.40.1.156/31233.40.1.156 to 233.40.1.157—2
208233.40.1.158/31233.40.1.158 to 233.40.1.159—2
209233.40.1.160/31233.40.1.160 to 233.40.1.161—2
210233.40.1.162/31233.40.1.162 to 233.40.1.163—2
211233.40.1.164/31233.40.1.164 to 233.40.1.165—2
212233.40.1.166/31233.40.1.166 to 233.40.1.167—2
213233.40.1.168/31233.40.1.168 to 233.40.1.169—2
214233.40.1.170/31233.40.1.170 to 233.40.1.171—2
215233.40.1.172/31233.40.1.172 to 233.40.1.173—2
216233.40.1.174/31233.40.1.174 to 233.40.1.175—2
217233.40.1.176/31233.40.1.176 to 233.40.1.177—2
218233.40.1.178/31233.40.1.178 to 233.40.1.179—2
219233.40.1.180/31233.40.1.180 to 233.40.1.181—2
220233.40.1.182/31233.40.1.182 to 233.40.1.183—2
221233.40.1.184/31233.40.1.184 to 233.40.1.185—2
222233.40.1.186/31233.40.1.186 to 233.40.1.187—2
223233.40.1.188/31233.40.1.188 to 233.40.1.189—2
224233.40.1.190/31233.40.1.190 to 233.40.1.191—2
225233.40.1.192/31233.40.1.192 to 233.40.1.193—2
226233.40.1.194/31233.40.1.194 to 233.40.1.195—2
227233.40.1.196/31233.40.1.196 to 233.40.1.197—2
228233.40.1.198/31233.40.1.198 to 233.40.1.199—2
229233.40.1.200/31233.40.1.200 to 233.40.1.201—2
230233.40.1.202/31233.40.1.202 to 233.40.1.203—2
231233.40.1.204/31233.40.1.204 to 233.40.1.205—2
232233.40.1.206/31233.40.1.206 to 233.40.1.207—2
233233.40.1.208/31233.40.1.208 to 233.40.1.209—2
234233.40.1.210/31233.40.1.210 to 233.40.1.211—2
235233.40.1.212/31233.40.1.212 to 233.40.1.213—2
236233.40.1.214/31233.40.1.214 to 233.40.1.215—2
237233.40.1.216/31233.40.1.216 to 233.40.1.217—2
238233.40.1.218/31233.40.1.218 to 233.40.1.219—2
239233.40.1.220/31233.40.1.220 to 233.40.1.221—2
240233.40.1.222/31233.40.1.222 to 233.40.1.223—2
241233.40.1.224/31233.40.1.224 to 233.40.1.225—2
242233.40.1.226/31233.40.1.226 to 233.40.1.227—2
243233.40.1.228/31233.40.1.228 to 233.40.1.229—2
244233.40.1.230/31233.40.1.230 to 233.40.1.231—2
245233.40.1.232/31233.40.1.232 to 233.40.1.233—2
246233.40.1.234/31233.40.1.234 to 233.40.1.235—2
247233.40.1.236/31233.40.1.236 to 233.40.1.237—2
248233.40.1.238/31233.40.1.238 to 233.40.1.239—2
249233.40.1.240/31233.40.1.240 to 233.40.1.241—2
250233.40.1.242/31233.40.1.242 to 233.40.1.243—2
251233.40.1.244/31233.40.1.244 to 233.40.1.245—2
252233.40.1.246/31233.40.1.246 to 233.40.1.247—2
253233.40.1.248/31233.40.1.248 to 233.40.1.249—2
254233.40.1.250/31233.40.1.250 to 233.40.1.251—2
255233.40.1.252/31233.40.1.252 to 233.40.1.253—2
256233.40.1.254/31233.40.1.254 to 233.40.1.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses